#
# spec file for package switchboard-plug-display
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.settings.display
Name:           switchboard-plug-display
Version:        8.0.1
Release:        1.1
Summary:        Switchboard Display Plug
License:        GPL-3.0-or-later
URL:            https://github.com/elementary/switchboard-plug-display
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(switchboard-3)
Requires:       switchboard

%description
Switchboard plug to show display information.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes %{buildroot}

%files
%license COPYING
%doc README.md
%dir %{_libdir}/{switchboard-3,switchboard-3/hardware}
%{_libdir}/switchboard-3/hardware/libdisplay.so
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f %{appid}.lang

%changelog
* Mon Mar 10 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.1:
  * Use mutter provided supported scales
  * Meson: add log domain
  * DisplayWidget: Fix text-shadow for children
  * Update translations
* Tue Nov 12 2024 Richard Rahl <rrahl0@opensuse.org>
- Require switchboard at runtime
* Wed Aug 21 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.0:
  * Add missing deeplink handlers
  * DisplayWidget: Gtk4 prep
  * DisplaysOverlay: keep a list of widgets
  * DisplaysView: Gtk4 prep
  * Use daemon to show display labels
  * Move drag gesture to overlay
  * DisplaysOverlay: put overlay in a box
  * Handle own titlebuttons
  * Fix apply unsensitive with only a single monitor
- update to 7.0.0:
  * Prefer the resolution modes marked is_preferred
  * NightLightView: Redesign and cleanup
  * Create Filters View
- update to 2.3.3:
  * Updated translations
- update to 2.3.2:
  * Move resolutions with a different aspect ratio to a submenu
  * Improve brightness in the dark style
  * Show display name on all workspaces
  * Updated translations
- update to 2.3.1:
  * Ensure the "Use this display" switch works in more circumstances
  * Updated translations
- update to 2.3.0:
  * Support 3× scaling
  * Reliably detect accelerometers
  * Updated translations
- update to 2.2.2:
  * Updated translations
- update to 2.2.1:
  * Fix 1px gaps between displays
  * Properly center rotated displays
  * Updated translations
- switch url to github, as we don't want to link to a different OS
* Mon Nov 25 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.2.0:
  * Add Gettext Updates to Actions
  * AppData: Add releases info (#206)
  * README: Fix weblate badge
  * Split Debian packaging into its own branch
  * Add Release to Actions
  * Add Lint to CI (#191)
  * DisplaysOverlay: fix linting errors (#204)
  * DisplaysOverlay: Update copyright header (#199)
  * (5/5) Multiple Issues: Introduce magnetic edge center (#184)
  * (4/5) Multiple Issues: Fix intersections after mouse button
    release (#183)
  * Fix code style in all by DisplaysOverlay (#194)
  * run installation in CI (#193)
  * (3/5) Multiple Issues: Close gaps after mouse button release
    (#182)
  * (2/5) Multiple Issues: Snap monitors after mouse button
    release (#181)
  * (1/5) Multiple issues: Prep (#180)
  * fix misplaced monitor labels after detecting displays (#176)
  * Build with GitHub CI (#190)
* Mon Nov  4 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.9:
  * New upstream release.
* Thu May  2 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.8:
  * New upstream release.
* Tue Mar 12 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.6:
  * New upstream release.
* Thu Nov  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Add regex for filtering provided libraries
* Mon Oct  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.5:
  * New upstream release.
* Sat Jun 23 2018 avvissu@yandex.by
- Update to 0.1.4:
  * New upstream release..
* Sat Jun  9 2018 avvissu@yandex.by
- Switch to github
- Switch to meson
- Add COPYING and README files
- Spec file cleanup
* Tue Jun 13 2017 jengelh@inai.de
- Rectify grammar problems in description.
* Wed May  3 2017 avvissu@yandex.by
- Update to 0.1.3:
  * Add Travis CI (#54)
  * Create README.md; delete old files (#53)
  * Implement Preferences URL Specification
* Tue Nov  1 2016 avvissu@yandex.by
- Update to 0.1.2.1:
  * Launchpad automatic translations update.
* Sun Sep 18 2016 avvissu@yandex.by
- Update to 0.1.2
- Use cmake macro
- Spec file cleanup
* Sun Feb 28 2016 mailaender@opensuse.org
- initial packaging of version 0.1.1.1
